KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLQuoteElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

For the Q and BLOCKQUOTE elements. See the <a href="http://www.w3.org/TR/REC-html40/struct/text.html#edef-Q"> Q element definition in HTML 4.0.

Note: The DOM is not quite consistent here. They also define the HTMLBlockQuoteElement interface, to represent the BLOCKQUOTE element. To resolve ambiquities, we use this one for the Q element only.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLQuoteElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | cite (self)
| setCite (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLQuoteElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString cite | ( |  | self ) |

A URI designating a document that designates a source document or message. See the <a href="http://www.w3.org/TR/REC-html40/struct/text.html#adef-cite-Q"> cite attribute definition in HTML 4.0.

setCite | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see cite